#include "lzma.h"
#include <stdint.h>

int lzma2decompress(const unsigned char* in, uint32_t* in_len, unsigned char* out, uint32_t* out_len)
{
	ELzmaStatus status;
	return Lzma2Decode(out, out_len, in, in_len, 40, LZMA_FINISH_ANY, &status, &g_Alloc);
}